MCryptPPTest Class Reference

`#include <MCryptPPTest.h>`

Inheritance diagram for MCryptPPTest:

## Public Member Functions

| MCryptPPTest (TestSuite *s)
void | testEncryption (void)
void | testDecryption (void)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
virtual void | setup (void)
void | run (void)
virtual void | cleanup (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Member Functions

bool | genericTestEncryption ()
bool | genericTestDecryption ()

## Additional Inherited Members

Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## MCryptPPTest()

MCryptPPTest::MCryptPPTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## genericTestDecryption()

bool MCryptPPTest::genericTestDecryption | ( |  | ) |

private

## genericTestEncryption()

bool MCryptPPTest::genericTestEncryption | ( |  | ) |

private

## testDecryption()

void MCryptPPTest::testDecryption | ( | void |  | ) |

## testEncryption()

void MCryptPPTest::testEncryption | ( | void |  | ) |

The documentation for this class was generated from the following files:

- MCryptPPTest.h
- MCryptPPTest.cc